@keyframes progress_bar_animation {
  0% {
    background-position: 0px 0px;
  }
  100% {
    background-position: 34px 0px;
  }
}
#color_blindness_test {
  /* end progress_wrap */
  /* edn test_zone */
}
#color_blindness_test .progress_wrap {
  margin-bottom: 40px;
  display: flex;
  align-items: center;
}
#color_blindness_test .progress_wrap .progress_question_wrap span.question_num {
  color: #000;
  font-size: 2.5rem;
  font-weight: bold;
  letter-spacing: 0.2rem;
  display: block;
}
#color_blindness_test .progress_wrap .progress_question_wrap span.question_num .current {
  color: #157af6;
}
#color_blindness_test .progress_wrap .progress_bar_wrap {
  margin-left: 40px;
  height: 30px;
  background-color: #ccc;
  border: solid 3px #bcbcbc;
  overflow: hidden;
  flex: 1;
}
#color_blindness_test .progress_wrap .progress_bar_wrap .current_bar {
  width: 0%;
  height: 100%;
  display: block;
  background-image: repeating-linear-gradient(45deg, #368cf7, #368cf7 12px, #157af6 0, #157af6 24px);
  background-size: 34px 30px;
  transition: width 0.3s;
  animation: progress_bar_animation 0.65s linear infinite forwards;
}
#color_blindness_test .test_zone {
  display: flex;
}
#color_blindness_test .test_zone .canvas_wrap #color_blindness_canvas {
  width: 450px;
  aspect-ratio: 1/1;
  background-color: #1a1a1a;
  box-sizing: border-box;
  border: solid 3px #bcbcbc;
  border-radius: 10px;
}
#color_blindness_test .test_zone .color_blindness_form {
  margin-left: 40px;
  width: 100%;
}
#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap li.test_btn {
  width: 30%;
  height: 50px;
  line-height: 50px;
  font-size: 1.3rem;
  font-weight: bold;
  color: #fff;
  text-align: center;
  border: solid 1px #ea9604;
  background-image: linear-gradient(to bottom, #ffa856 25%, #ff7c02);
  border-radius: 5px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: opacity 0.3s;
}
#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap li.test_btn:hover {
  opacity: 0.5;
}
#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap li.test_btn:last-of-type {
  width: 100%;
}
#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap li.test_btn:not(#color_blindness_test .test_zone .color_blindness_form ul.test_btn_wrap li.test_btn:last-of-type) {
  margin-bottom: 20px;
}

.loader_wrap {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
}
.loader_wrap .loader {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 20px;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0px 0px 2px 0px #000;
  transform: translate(-50%, -50%);
}
.loader_wrap .loader .loader_img {
  margin-bottom: 20px;
  text-align: center;
  display: block;
}
.loader_wrap .loader .loading_text {
  font-size: 16px;
  text-align: center;
  color: #000;
}

/* end loader_wrap */
.answer_wrap {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
}
.answer_wrap .answer {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 500px;
  padding: 20px;
  background-color: #fff;
  border: solid 10px #ccc;
  border-radius: 5px;
  box-sizing: border-box;
  transform: translate(-50%, -50%);
}
.answer_wrap .answer .answer_copy {
  margin-bottom: 20px;
  color: #ff0000;
  font-size: 25px;
  font-weight: bold;
  text-align: center;
  letter-spacing: 0.05rem;
  display: block;
}
.answer_wrap .answer dl {
  margin-bottom: 20px;
  border-top: solid 1px #ccc;
  border-right: solid 1px #ccc;
  border-left: solid 1px #ccc;
}
.answer_wrap .answer dl dt {
  padding: 10px;
  color: #fff;
  font-size: 16px;
  border-bottom: solid 1px #ccc;
  background-color: #000;
}
.answer_wrap .answer dl dd {
  padding: 10px;
  font-size: 16px;
  letter-spacing: 0.065rem;
  border-bottom: solid 1px #ccc;
}
.answer_wrap .answer dl .correct_answers {
  font-weight: bold;
  color: #ff0000;
  display: block;
}
.answer_wrap .answer dl .answer_text p {
  line-height: 1.75rem;
}
.answer_wrap .answer .next_btn_wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.answer_wrap .answer .next_btn_wrap .next_btn {
  padding: 15px;
  border-radius: 5px;
  color: #fff;
  display: bock;
  transition: opacity 0.3s;
}
.answer_wrap .answer .next_btn_wrap .next_btn:hover {
  opacity: 0.75;
}
.answer_wrap .answer .next_btn_wrap .share_btn {
  text-decoration: none;
  background-color: #f3a13f;
}
.answer_wrap .answer .next_btn_wrap .tweet_btn {
  margin-left: 15px;
  text-decoration: none;
  background-color: #379dec;
}
.answer_wrap .answer .close_btn {
  position: absolute;
  top: -20px;
  right: -20px;
  width: 40px;
  height: 40px;
  background-color: #ccc;
  border-radius: 20px;
  cursor: pointer;
  box-shadow: 0px 0px 3px 0px #000;
}
.answer_wrap .answer .close_btn span {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  height: 3px;
  display: block;
  background-color: #222;
}
.answer_wrap .answer .close_btn span:nth-of-type(1) {
  transform: translate(-50%, -50%) rotate(45deg);
}
.answer_wrap .answer .close_btn span:nth-of-type(2) {
  transform: translate(-50%, -50%) rotate(-45deg);
}

/* end answer_wrap */
@media screen and (max-width: 480px) {
  #color_blindness_test {
    /* end progress_wrap */
    /* edn test_zone */
  }
  #color_blindness_test .progress_wrap {
    margin-bottom: 20px;
    display: block;
  }
  #color_blindness_test .progress_wrap .progress_question_wrap {
    margin-bottom: 20px;
  }
  #color_blindness_test .progress_wrap .progress_question_wrap span.question_num {
    text-align: center;
  }
  #color_blindness_test .progress_wrap .progress_bar_wrap {
    margin-left: 0px;
  }
  #color_blindness_test .test_zone {
    display: block;
  }
  #color_blindness_test .test_zone .canvas_wrap {
    margin-bottom: 20px;
  }
  #color_blindness_test .test_zone .canvas_wrap #color_blindness_canvas {
    width: 100%;
  }
  #color_blindness_test .test_zone .color_blindness_form {
    margin-left: 0px;
  }

  .answer_wrap .answer {
    width: 300px;
  }

  /* end answer_wrap */
}